> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a report by ID



## OpenAPI

````yaml /openapi/reports.json get /reports/{id}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /reports/{id}:
    get:
      tags:
        - Reports
      summary: Retrieve a report by ID
      operationId: reports.retrieve
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: ID
                  alertId:
                    type: string
                    format: uuid
                    description: Alert ID
                  contentHash:
                    type: string
                    description: Content Hash
                  filename:
                    type: string
                    description: Filename
                  contentType:
                    type: string
                    description: Content Type
                  size:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    exclusiveMinimum: 0
                    description: Size
                  outputFormat:
                    enum:
                      - xml
                      - txt
                    type: string
                    description: Output Format
                  referenceNumber:
                    type: string
                    description: Reference Number
                  name:
                    type: string
                    description: Name
                  sequence:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    exclusiveMinimum: 0
                    description: Sequence
                  totalParts:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    exclusiveMinimum: 0
                    description: Total Parts
                  isCurrent:
                    type: boolean
                    description: Is Current
                  generatedAt:
                    type: string
                    format: date-time
                    description: Generated At
                  createdAt:
                    type: string
                    format: date-time
                    description: Created At
                  updatedAt:
                    type: string
                    format: date-time
                    description: Updated At
                  tags:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        color:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - name
                        - color
                required:
                  - id
                  - alertId
                  - contentHash
                  - filename
                  - contentType
                  - size
                  - outputFormat
                  - sequence
                  - totalParts
                  - isCurrent
                  - generatedAt
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````